Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451203 - The [te_IN] inscript key map had no key stroke for ZeroWidthJoiner(ZWJ) in its key map
Summary: The [te_IN] inscript key map had no key stroke for ZeroWidthJoiner(ZWJ) in it...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: m17n-contrib
Version: 12
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-13 12:02 UTC by Krishna Babu K
Modified: 2010-01-19 19:46 UTC (History)
0 users

Fixed In Version: 1.1.10-3.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-19 19:46:30 UTC


Attachments (Terms of Use)

Description Krishna Babu K 2008-06-13 12:02:50 UTC
Description of problem:
The [te_IN] inscript key map had no key stroke for ZeroWidthJoiner(ZWJ) in its
key map.

Version-Release number of selected component (if applicable):

m17n-contrib-telugu-1.1.6-4.fc10.noarch

How reproducible:


Steps to Reproduce:
1.open Gedit,maintaing SCIM in RAWCODE
2.And give the key sequences 0c21+0c4d+0c38+0c4d డ్స్ 
3.By using ZWJ we can get 0c21+0c4d+0c38+0c4d+200d(డ్స్‍)
  
Actual results:
డ్స్ 

Expected results:
డ్స్‍

Additional info:

In Telugu in-script key map we have an empty slot with the key ]. So it is
rarely used key while Telugu key map is active. We can map that key for ZWJ(200d).

Comment 1 John Poelstra 2008-10-20 22:45:52 UTC
Latest package version in rawhide is m17n-contrib-telugu-1.1.7-5.fc10.noarch

Does this problem still exist?

Thanks

Comment 2 Bug Zapper 2008-11-26 02:25:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-11-18 08:13:29 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Parag Nemade 2009-11-24 06:51:24 UTC
will see to fix this for Fedora 12.

Comment 5 Fedora Update System 2010-01-19 10:16:42 UTC
m17n-contrib-1.1.10-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/m17n-contrib-1.1.10-3.fc12

Comment 6 Fedora Update System 2010-01-19 19:46:26 UTC
m17n-contrib-1.1.10-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.